package de.intevation.gnv.artifacts;

import de.intevation.artifacts.ArtifactDatabase;
import de.intevation.artifacts.ArtifactFactory;
import de.intevation.artifacts.CallContext;
import de.intevation.artifacts.CallMeta;

/**
 * @author <a href="mailto:tim.englich@intevation.de">Tim Englich</a>
 *
 */
public class TestCallContext implements CallContext {



    private Object globalContext = null;
    private CallMeta callMeta = null;
    private ArtifactFactory artifactFactory = null;
    private ArtifactDatabase artifactDatabase = null;
    /**
     * Constructor
     */
    public TestCallContext(Object globalContext,
                           CallMeta callMeta,
                           ArtifactFactory artifactFactory) {
        this.globalContext = globalContext;
        this.callMeta = callMeta;
        this.artifactDatabase  = new TestArtifactDatabase(artifactFactory);
    }

    /**
     * @see de.intevation.artifacts.CallContext#afterBackground(int)
     */
    public void afterBackground(int action) {
    }

    /**
     * @see de.intevation.artifacts.CallContext#afterCall(int)
     */
    public void afterCall(int action) {
    }

    /**
     * @see de.intevation.artifacts.CallContext#globalContext()
     */
    public Object globalContext() {
        return this.globalContext;
    }

    public CallMeta getMeta() {
        return this.callMeta;
    }

    public Object getContextValue(Object key) {
        return null;
    }

    public Object putContextValue(Object key, Object value) {
        return null;
    }

    public ArtifactDatabase getDatabase() {
        return this.artifactDatabase;
    }
}
